Lado

com.uva.rafael.tfg_goniometer.data.enums

## Enum Lado

- java.lang.Object
- - java.lang.Enum<Lado>
  - - com.uva.rafael.tfg_goniometer.data.enums.Lado

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Lado>

      public enum Lado
      extends java.lang.Enum<Lado>

  Esta clase es una clase de tipo `Enum` que modela el lado del cuerpo humano (con respecto al plano sagital) en el que se encuentra una articulacion, o bien, si se trata de la columna vertebral.

  Ademas, destacar que esta clase se encarga de proveer estos valores tanto en español como en ingles.

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLUMNA`
    `DERECHO`
    `IZQUIERDO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Lado` | `findByValue(java.lang.String value)` Metodo que se encarga de devolver el `Enum` asociado con el valor de tipo `String` recibido como parametro.
    `java.lang.String` | `toString()` Metodo `toString()` que se encarga de devolver el String con el valor seleccionado por el usuario, al introducir una nueva medicion.
    `static Lado` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Lado[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IZQUIERDO

          public static final Lado IZQUIERDO

    - #### DERECHO

          public static final Lado DERECHO

    - #### COLUMNA

          public static final Lado COLUMNA

  - ### Method Detail

    - #### values

          public static Lado[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Lado c : Lado.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Lado valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByValue

          public static Lado findByValue(java.lang.String value)

      Metodo que se encarga de devolver el `Enum` asociado con el valor de tipo `String` recibido como parametro. En caso de que no encuentre ningun `Enum` que se corresponda con este valor, lanza una excepcion de tipo `IllegalArgumentException`, emulando el comportamiento del metodo `valueOf`.
      Parameters:
        `value` - Valor a comparar con los valores de los distintos `Enum` de la clase
      Returns:
        `Enum` asociado a ese valor

    - #### toString

          public java.lang.String toString()

      Metodo `toString()` que se encarga de devolver el String con el valor seleccionado por el usuario, al introducir una nueva medicion.
      Overrides:
        `toString` in class `java.lang.Enum<Lado>`